Products
Products endpoints for the Mergify API.
Manage enabled products #
PUT
/products/{owner}/{repository}
Manage enabled products on a repository
Authorization
(any one of)
Admin Application Key
Mergify User Token
GitHub Token
Path Parameters
repository
string
required
The name of the repository
min length: 1 · max length: 100 · pattern: ^[\w\-\.]+$
owner
string
required
The owner of the repository
min length: 1 · max length: 40 · pattern: ^[a-zA-Z0-9\-]+$
Request Body
products("ci_insights" | "merge_protections" | "workflow_automation" | "merge_queue" | "job_engine")[]required
Responses
204 No content
403 Forbidden
404 Not found
409 Conflict
422 Unprocessable entity
Example Request
curl -X PUT "https://api.mergify.com/v1/products/:owner/:repository" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"products": [
"ci_insights"
]
}'
Get default enabled products #
GET
/default_products/{owner}
Get default enabled products for new repositories
Authorization
(any one of)
Admin Application Key
Mergify User Token
GitHub Token
Path Parameters
owner
string
required
The owner of the repository
min length: 1 · max length: 40 · pattern: ^[a-zA-Z0-9\-]+$
Responses
200 Successful Response
products("ci_insights" | "merge_protections" | "workflow_automation" | "merge_queue" | "job_engine")[]required
Example Response
{
"products": [
"ci_insights"
]
}
403 Forbidden
404 Not found
409 Conflict
422 Unprocessable entity
Example Request
curl -X GET "https://api.mergify.com/v1/default_products/:owner" \
-H "Authorization: Bearer <token>"
Manage default enabled products #
PUT
/default_products/{owner}
Manage default enabled products for new repositories
Authorization
(any one of)
Admin Application Key
Mergify User Token
GitHub Token
Path Parameters
owner
string
required
The owner of the repository
min length: 1 · max length: 40 · pattern: ^[a-zA-Z0-9\-]+$
Request Body
products("ci_insights" | "merge_protections" | "workflow_automation" | "merge_queue" | "job_engine")[]required
Responses
204 No content
403 Forbidden
404 Not found
409 Conflict
422 Unprocessable entity
Example Request
curl -X PUT "https://api.mergify.com/v1/default_products/:owner" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"products": [
"ci_insights"
]
}'
Was this page helpful?
Thanks for your feedback!